> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process Source Data



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /api/onboarding/process_source_data
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/onboarding/process_source_data:
    post:
      tags:
        - onboarding
        - quanta-services-api
      summary: Process Source Data
      operationId: process_source_data
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/ProcessSourceDataRequest'
                - type: 'null'
              title: Request
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerWorkflowResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProcessSourceDataRequest:
      properties:
        onboard_source:
          $ref: '#/components/schemas/OnboardingSource'
          default: all
        success_threshold:
          type: number
          title: Success Threshold
          default: 1
        backfill_from_source:
          type: boolean
          title: Backfill From Source
          default: false
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Id
        confirm_no_switchover:
          type: boolean
          title: Confirm No Switchover
          default: false
      type: object
      title: ProcessSourceDataRequest
    TriggerWorkflowResponse:
      properties:
        workflow_id:
          type: string
          title: Workflow Id
      type: object
      required:
        - workflow_id
      title: TriggerWorkflowResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OnboardingSource:
      type: string
      enum:
        - all
        - PlaidOnboarding
        - FinicityOnboarding
        - MercuryOnboarding
        - RampOnboarding
        - BrexOnboarding
        - StripeOnboarding
        - FinchOnboarding
        - DeelOnboarding
      title: OnboardingSource
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.